Get Scs Config

Get Scs Config
Get security content service configuration

Get the global configuration for the security content service. This includes the connectivity mode setting which controls connectivity to cloud services. The response includes the connectivity_mode_changeable field which indicates whether the connectivity mode can be modified. When false, the connectivity mode cannot be changed.

Request
URI
GET
https://{api_host}/ssp/security-content/config
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successful response.

Returns ScsConfig of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineScsConfig1
{
    "id": "scs-config",
    "connectivity_mode": "DISCONNECTED",
    "connectivity_mode_changeable": true,
    "_create_time": 1751433673000,
    "_create_user": "admin",
    "_last_modified_user": "admin",
    "_last_modified_time": 1751433673000,
    "_revision": 1
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-all-airgap"]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/security-content/config